GET/projects/api/v3/projects/templates/{id}/customfields/required.json

Get required custom fields for a project template

Returns the list of custom fields that are marked as required for the given project template.

Path Params

  • Name
    id
    Type
    integer
    required
    Description

Responses

  • Code
    200
    Type
    object
    Schema
    Description
    200 OK
    CustomFieldsResponse contains information about a group of custom fields.
  • Code
    400
    Type
    object
    Schema
    Description
    400 Bad Request
    ErrorResponse defines how []Error should be marshaled to JSON.
  • Code
    404
    Description
    404 Not Found No Data

Examples

200 OK

CustomFieldsResponse
{  "customfields": [    {      "createdAt": "string",      "createdBy": 0,      "createdByUserId": 0,      "currencyCode": "string",      "deleted": true,      "deletedAt": "string",      "deletedBy": 0,      "deletedByUserId": 0,      "description": "string",      "entity": "string",      "formula": "string",      "groupId": 0,      "id": 0,      "isPrivate": true,      "name": "string",